#include <SoftwareSerial.h>

SoftwareSerial mySerial(10, 11); // RX, TX

int ledR=6;
int ledG=5;
int ledB=3;
int ledP=9;
int point=255;
int button=13;
int ledMax=12;
char character;

void setup()  
{
  // set the data rate for the SoftwareSerial port
  mySerial.begin(9600);
  pinMode(ledR, OUTPUT);
  pinMode(ledG, OUTPUT);
  pinMode(ledB, OUTPUT);
  pinMode(ledP, OUTPUT);
  pinMode(button,INPUT);
  pinMode(ledMax,OUTPUT);
  analogWrite(ledR,255);
  analogWrite(ledG,255);
  analogWrite(ledB,255);
}

void loop() // run over and over
{
    String Data = "";
    while(mySerial.available()) {
     character = mySerial.read();
     Data.concat(character);
     delay (10);
    }
    
    int aide=digitalRead(button);
    
    if (aide==HIGH)
    {
      mySerial.println("a");
      analogWrite(ledR,255);
      analogWrite(ledG,255);
      analogWrite(ledB,0);
      mySerial.println("a");
      delay(100);
      digitalWrite(ledMax, HIGH);
      mySerial.println("a");
      analogWrite(ledP,point);
      mySerial.println("a");
      delay(1500);
      analogWrite(ledR,255);
      analogWrite(ledG,255);
      analogWrite(ledB,255);
      digitalWrite(ledMax,LOW);
      delay(1500);
      analogWrite(ledP,0);
      
    }
      
  // Ici la led RGB est une cathode, cela signifie que les valeurs de RGB doivent être inversé. 255 devient donc 0.
    switch (Data) {
      //Eteindre la RGB
      case '0':
      analogWrite(ledR,255);
      analogWrite(ledG,255);
      analogWrite(ledB,255);
      break;
      
      case '1':
    //Allumer la RGB
      analogWrite(ledR,0);
      analogWrite(ledG,0);
      analogWrite(ledB,0);
      break;
      
      case 's':
    //RGB en Rouge
      analogWrite(ledR,0);
      analogWrite(ledG,255);
      analogWrite(ledB,255);
      break;
 
      case 'v':
      //RGB en Vert
      analogWrite(ledR,102);
      analogWrite(ledG,51);
      analogWrite(ledB,51);
      break;
      
      case 'b':
      //RGB en Bleu 
      analogWrite(ledR,255);
      analogWrite(ledG,255);
      analogWrite(ledB,0);
      break;

      case 'j':
      //RGB en jaune 
      analogWrite(ledR,1);
      analogWrite(ledG,204);
      analogWrite(ledB,51);
      break;
    
      case 't':
      //RGB en violet
      analogWrite(ledR,51);
      analogWrite(ledG,102);
      analogWrite(ledB,0);
      break;
      
      case 'o': 
      //RGB en orange
      analogWrite(ledR,1);
      analogWrite(ledG,153);
      analogWrite(ledB,201);
      break;
      
      case "m":
      //Pour compter les points a chaque fois qu'elle appuie ça enlève 10 points donc de l'intensité lumineuse sachant que pour une diode l'intensité lumineuse va de 0 à 255 au maximum.
      //Il faut faire attention à la valeur maximum ou minimum
      //Lorqu'elle est maximum nous activons une autre Diode qui est la diode de 1W beaucoup plus lumineuse.
      point=point-25;
      if (point<25)
      {
      analogWrite(ledP,0);
      digitalWrite(ledMax,LOW);
      }
      else
      {
      analogWrite(ledP,point);
      digitalWrite(ledMax,LOW);
      }  
      break;
      
   }
   if (Data=="p"){
      point=point+25;
      if (point>240)
      {
      analogWrite(ledP,255);
      digitalWrite(ledMax,HIGH);
      }
      else
      {
      analogWrite(ledP,point);
      digitalWrite(ledMax,LOW);
      }
     
    }
     if (Data=="r")
     {
     point=255;
     analogWrite(ledP,point);
     digitalWrite(ledMax,HIGH);
     }

    
}
